Create new lane

POST
https://example.kaiten.ru/api/latest/boards/{board_id}/lanes
Path parameters
NameTypeReference
board_idrequiredintegerBoard ID
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
title
required
string
minLength: 1
maxLength: 128

Title

sort_order
number
exclusiveMinimum: 0

Position

wip_limit
integer

Work in progress recommended limit for lane

wip_limit_type
enum
[1,2]

1 – card's count, 2 – card's size

last_moved_warning_after_days
integer

Warning appears on stale cards

last_moved_warning_after_hours
integer

Warning appears on stale cards

last_moved_warning_after_minutes
integer

Warning appears on stale cards

row_count
integer

Height

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
updated

string

Last update timestamp
created

string

Create date
id

integer

Lane id
title

string

Lane title
sort_order

number

Position
row_count

integer

Height
wip_limit

integer

Recommended limit for column
board_id

integer

Board id
default_card_type_id

null | integer

Default card type for new cards in lane
wip_limit_type

enum

1 – card's count, 2 – card's size
external_id

null | string

External id
default_tags

string

Default tags
last_moved_warning_after_days

integer

Warning appears on stale cards
last_moved_warning_after_hours

integer

Warning appears on stale cards
last_moved_warning_after_minutes

integer

Warning appears on stale cards
condition

enum

1 - live, 2 - archived, 3 - deleted
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

402
DescriptionResponse typeExample
Feature is not supported by tariffObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request POST \
  2       --url 'https://example.kaiten.ru/api/latest/boards/{board_id}/lanes' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!